### Class

# Camel VTrashFolder

#### Description

    class Camel.VTrashFolder : Camel.VeeFolder
    {
      CamelVTrashFolderPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelVeeFolder
- CamelFolder
- GObject

#### Constructors

###### camel_vtrash_folder_new

Create a new CamelVTrashFolder object.

#### Instance methods

###### camel_vtrash_folder_get_folder_type

No description available.

since: 3.24

##### Methods inherited from CamelVeeFolder (12)

###### camel_vee_folder_add_folder_sync

Adds `subfolder` as a source folder to `vfolder`.

since: 3.58

###### camel_vee_folder_construct

Initializes internal structures of the `vf`. This is meant to be called by the descendants of `CamelVeeFolder`.

###### camel_vee_folder_dup_folders

Returns a `GPtrArray` of all folders of this `vfolder`, which are used to populate it. These are in no particular order.

since: 3.58

###### camel_vee_folder_dup_vee_uid_folder

No description available.

since: 3.6

###### camel_vee_folder_get_auto_update

No description available.

since: 3.6

###### camel_vee_folder_get_expression

No description available.

since: 3.6

###### camel_vee_folder_get_flags

No description available.

since: 3.24

###### camel_vee_folder_get_location

Find the real folder (and message info UID) for the given `vinfo`. When the `realuid` is not `NULL` and it’s set, then use `g_free()` to free it, when no longer needed.

###### camel_vee_folder_remove_folder_sync

Removed the source folder, `subfolder`, from the virtual folder, `vfolder`.

since: 3.58

###### camel_vee_folder_set_auto_update

Sets whether the `vfolder` can automatically update when of its subfolders changes.

since: 3.6

###### camel_vee_folder_set_expression_sync

Sets an SExp expression to be used for this `vfolder` and updates its content. The expression is not changed when the call fails.

since: 3.58

###### camel_vee_folder_set_folders_sync

Set the whole list of folder sources on a search folder.

since: 3.58

##### Methods inherited from CamelFolder (77)

Please see CamelFolder for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from CamelVeeFolder (1)

###### Camel.VeeFolder:auto-update

Automatically update on change in source folders.

##### Properties inherited from CamelFolder (6)

###### Camel.Folder:description

The folder’s description.

###### Camel.Folder:display-name

The folder’s display name.

###### Camel.Folder:full-name

The folder’s fully qualified name.

###### Camel.Folder:mark-seen

A `CamelThreeState` persistent option of the folder, which can override global option to mark messages as seen after certain interval.

since: 3.32

###### Camel.Folder:mark-seen-timeout

Timeout in milliseconds for marking messages as seen.

since: 3.32

###### Camel.Folder:parent-store

The `CamelStore` to which the folder belongs.

#### Signals

##### Signals inherited from CamelVeeFolder (1)

###### CamelVeeFolder::vee-setup-changed

No description available.

##### Signals inherited from CamelFolder (3)

###### CamelFolder::changed

No description available.

###### CamelFolder::deleted

No description available.

###### CamelFolder::renamed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelVTrashFolderClass {
      CamelVeeFolderClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelVeeFolderClass`

  No description available.

`reserved: gpointer`

  No description available.